CREATE DATABASE IF NOT EXISTS `opmon4`;

use `opmon4`;

CREATE TABLE `scats` (
  `id` int(11) NOT NULL auto_increment,
  `scat_name` varchar(50) default NULL,
  `type` int(11) default NULL,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;


CREATE TABLE `scat_itens` (
  `id` int(11) NOT NULL auto_increment,
  `scat_id` int(11) default NULL,
  `host_name` varchar(50) default NULL,
  `service_name` varchar(50) default NULL,
  `level` int(11) default NULL,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;


alter table scats add column responsable varchar(500);
alter table scats add column next_revision varchar(50);
alter table scats add column last_revision varchar(50);
alter table scats add column cost float;
alter table scats add column description text;
alter table scats modify scat_name varchar(128);

CREATE TABLE `scat_activities` (
  `id` int(11) NOT NULL auto_increment,
  `scat_id` int(11) NOT NULL,
  `entry_time` varchar(50) default NULL,
  `description` text,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

CREATE TABLE `scat_log` (
  `id` int(11) NOT NULL auto_increment,
  `entry_time` datetime default NULL,
  `scat_id` int(11) default NULL,
  `object` text,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


alter table scats add column timecut int(11) default null;
alter table scats add column resolution_time int(11) default null;
alter table scats add column answer_time int(11) default null;
alter table scats add column severity int(11) default null;
alter table scats add column image_injury int(11) default null;
alter table scats add column complexity int(11) default null;
alter table scats add column vip_users int(11) default null;
alter table scats add column affected_users int(11) default null;
alter table scats add column dependency_relationship int(11) default null;
alter table scats add column dependent_business_processes text default null;
alter table scats add column service_deliverable text default null;
alter table scats add column involved_applications text default null;
alter table scats add column selected_user int(11) default null;
alter table scats add column txt_user text default null;
alter table scats add column key_user int(11) default null;
alter table scats add column txt_key_user text default null;
alter table scats add column business_accountable int(11) default null;
alter table scats add column txt_business_accountable text default null;
alter table scats add column technical_accountable int(11) default null;
alter table scats add column txt_technical_accountable text default null;

CREATE TABLE `scat_sazdays` (
  `scat_id` int(11) NOT NULL,
  `day` int(11) NOT NULL,
  `saz` int(11) DEFAULT 0 NOT NULL
) DEFAULT CHARSET=utf8;

CREATE TABLE `scat_cf_definitions` (
  `cf_id` int(11) NOT NULL auto_increment,
  `cf_name` varchar(150) default NULL,
  PRIMARY KEY  (`cf_id`)
) AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

CREATE TABLE `scat_cf_values` (
  `cf_id` int(11) default NULL,
  `cf_value` text,
  `scat_id` int(11) default NULL
) DEFAULT CHARSET=utf8;

CREATE TABLE `scat_contacts` (
  `scat_id` int(11) NOT NULL,
  `var_name` varchar(100) default NULL,
  `value` text,
  `type` int(11) default NULL
) DEFAULT CHARSET=utf8;

